Bulk delete workflows
- Base URL
-
https://{kibana_url}
-
DELETE
/api/workflows
-
DELETE
/s/{space_id}/api/workflows
Auth
Delete multiple workflows by their IDs.
-
Privileges
workflowsManagement:delete
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
acknowledgeAclLoss
boolean · default: false
-
Confirm that permanent deletion removes workflow access controls.
-
force
boolean · default: false
-
When true, permanently deletes the workflows (hard delete) instead of soft-deleting them. The workflow IDs become available for reuse.
-
A required header to protect against CSRF attacks
-
ids
string[] · max items: 1000
required
-
Array of workflow IDs to delete.
200
Indicates a successful response
application/json
Thank you for your feedback.